### Method

# GLib StaticRecMutex unlock_full

deprecated: 2.32

#### Declaration [src]

    guint
    g_static_rec_mutex_unlock_full (
      GStaticRecMutex* mutex
    )

#### Description [src]

Completely unlocks `mutex`. If another thread is blocked in a `g_static_rec_mutex_lock()` call for `mutex`, it will be woken and can lock `mutex` itself. This function returns the number of times that `mutex` has been locked by the current thread. To restore the state before the call to `g_static_rec_mutex_unlock_full()` you can call `g_static_rec_mutex_lock_full()` with the depth returned by this function.

Deprecated since: 2.32

Use g_rec_mutex_unlock().

This method is not directly available to language bindings.

#### Return value

Type: `guint`

Number of times `mutex` has been locked by the current thread.